Skip to main content
Infrastructure/Agents
POSTAgentSince 1.0SynchronousAuth Required

TokenBatchUpgrade

Submit a batch upgrade job for a list of agents to a specified target version

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • agentUuidsListRequired

    Agent uuids

    Example: item1,item2

  • targetVersionStringRequired

    Target version to upgrade the selected agents to

    Example: 1.5.0

Responses

200 OK

On success, this API returns the following response structure.

  • idString

    Unique identifier of the upgrade job

    Example: upgrade-job-001

  • targetVersionString

    Target version all agents are being upgraded to

    Example: 1.5.0

  • agentsList

    Agents for this resource

    Example: (nested array)

    • agentUuidString

      UUID of the agent on the upgraded node

      Example: agent-abc123-def456

    • oldVersionString

      Version the agent was running before upgrade

      Example: 1.4.2

    • newVersionString

      Version the agent was upgraded to

      Example: 1.5.0

    • statusString

      Result status of the upgrade (success, failed)

      Example: success

    • errorString

      Error message if the upgrade failed

      Example: connection refused

  • statusString

    Overall status of the upgrade job (pending, running, success, failed)

    Example: running

  • simulatedBoolean

    Whether this job is a simulation without actual upgrade

    Example: false

  • createdAtString

    Created at

    Example: 2026-01-15T08:00:00Z

  • completedAtString

    Completed at

    Example: 2026-01-15T08:00:00Z

Endpoint

POST/api/v1/agents/batch-upgrade

/api/v1/agents/batch-upgrade

Operation ID

TokenBatchUpgrade

Permalink

Request Example

curl -X POST '{host}/api/v1/agents/batch-upgrade' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"agentUuids":"item1,item2","targetVersion":"1.5.0"}'

Response Example

200
{
  "id": "upgrade-job-001",
  "targetVersion": "1.5.0",
  "agents": [
    {}
  ],
  "status": "running",
  "simulated": false,
  "createdAt": "example",
  "completedAt": "example"
}

Change History

This API has no change history records yet.

View all change history